optimized_cached_image 3.0.1 icon indicating copy to clipboard operation
optimized_cached_image: ^3.0.1 copied to clipboard

A library for loading images from network, resizing as per container size and caching while being memory sensitive.

103
likes
110/ 140
pub points
95%
popularity

We analyzed this package 9 hours ago, and awarded it 110 pub points (of a possible 140):

icon indicating section status
Follow Dart file conventions
30 / 30icon to trigger folding of the section

10/10 points: Provide a valid pubspec.yaml

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

10/10 points: Use an OSI-approved license

Detected license: MIT.

icon indicating section status
Provide documentation
20 / 20icon to trigger folding of the section

10/10 points: Package has an example

10/10 points: 20% or more of the public API has dartdoc comments

  • 57 out of 65 API elements (87.7 %) have documentation comments.
icon indicating section status
Platform support
20 / 20icon to trigger folding of the section

20/20 points: Supports 2 of 6 possible platforms (iOS, Android, Web, Windows, MacOS, Linux)

  • ✓ Android
  • ✓ iOS

These platforms are not supported:

Package does not support platform `Windows`.

Because:

  • package:optimized_cached_image/optimized_cached_image.dart that imports:
  • package:optimized_cached_image/src/image_provider/optimized_cached_image_provider.dart that imports:
  • package:optimized_cached_image/src/image_provider/_image_provider_io.dart that imports:
  • package:flutter_cache_manager/flutter_cache_manager.dart that imports:
  • package:flutter_cache_manager/src/web/web_helper.dart that imports:
  • package:flutter_cache_manager/src/cache_store.dart that imports:
  • package:flutter_cache_manager/src/config/config.dart that imports:
  • package:flutter_cache_manager/src/config/_config_io.dart that imports:
  • package:flutter_cache_manager/src/storage/cache_info_repositories/cache_object_provider.dart that imports:
  • package:sqflite/sqflite.dart that declares support for platforms: Android, iOS, macOS.
Package does not support platform `Linux`.

Because:

  • package:optimized_cached_image/optimized_cached_image.dart that imports:
  • package:optimized_cached_image/src/image_provider/optimized_cached_image_provider.dart that imports:
  • package:optimized_cached_image/src/image_provider/_image_provider_io.dart that imports:
  • package:flutter_cache_manager/flutter_cache_manager.dart that imports:
  • package:flutter_cache_manager/src/web/web_helper.dart that imports:
  • package:flutter_cache_manager/src/cache_store.dart that imports:
  • package:flutter_cache_manager/src/config/config.dart that imports:
  • package:flutter_cache_manager/src/config/_config_io.dart that imports:
  • package:flutter_cache_manager/src/storage/cache_info_repositories/cache_object_provider.dart that imports:
  • package:sqflite/sqflite.dart that declares support for platforms: Android, iOS, macOS.
Package does not support platform `macOS`.

Because:

  • package:optimized_cached_image/optimized_cached_image.dart that imports:
  • package:optimized_cached_image/src/image_provider/optimized_cached_image_provider.dart that imports:
  • package:optimized_cached_image/src/image_provider/_image_provider_io.dart that imports:
  • package:optimized_cached_image/src/cache/image_cache_manager.dart that imports:
  • package:optimized_cached_image/src/transformer/image_transformer.dart that imports:
  • package:optimized_cached_image/src/transformer/scale_info.dart that imports:
  • package:flutter_image_compress/flutter_image_compress.dart that declares support for platforms: Android, iOS.
Package does not support platform `Web`.

Because:

  • package:optimized_cached_image/optimized_cached_image.dart that imports:
  • package:optimized_cached_image/src/image_provider/optimized_cached_image_provider.dart that imports:
  • package:optimized_cached_image/src/image_provider/_image_provider_web.dart that imports:
  • package:flutter_cache_manager/flutter_cache_manager.dart that imports:
  • package:flutter_cache_manager/src/storage/cache_info_repositories/cache_info_repositories.dart that imports:
  • package:flutter_cache_manager/src/storage/cache_info_repositories/json_cache_info_repository.dart that imports:
  • package:path_provider/path_provider.dart that declares support for platforms: Android, iOS, Windows, Linux, macOS.
icon indicating section status
Pass static analysis
10 / 30icon to trigger folding of the section

10/30 points: code has no errors, warnings, lints, or formatting issues

Found 15 issues. Showing the first 2:

WARNING: The receiver can't be null, so the null-aware operator '?.' is unnecessary.

lib/src/image_provider/_image_provider_web.dart:138:33

    ╷
138 │         PaintingBinding.instance?.imageCache?.evict(key);
    │                                 ^^
    ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/src/image_provider/_image_provider_web.dart

WARNING: The receiver can't be null because of short-circuiting, so the null-aware operator '?.' can't be used.

lib/src/image_provider/_image_provider_web.dart:138:45

    ╷
138 │         PaintingBinding.instance?.imageCache?.evict(key);
    │                                             ^^
    ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/src/image_provider/_image_provider_web.dart

icon indicating section status
Support up-to-date dependencies
10 / 20icon to trigger folding of the section

0/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
file^6.1.06.1.46.1.4
flutterflutter0.0.00.0.0
flutter_cache_manager^3.0.03.3.03.3.0
flutter_image_compress^1.1.01.1.31.1.3
http^0.13.10.13.50.13.5
image^3.0.23.3.04.0.13
octo_image^1.0.01.0.21.0.2
path^1.8.01.8.31.8.3
path_provider^2.0.12.0.122.0.12
pedantic^1.11.01.11.11.11.1
sprintf^6.0.06.0.27.0.0
uuid^3.0.33.0.73.0.7
Transitive dependencies
PackageConstraintCompatibleLatest
archive-3.3.63.3.6
async-2.10.02.10.0
characters-1.2.11.2.1
clock-1.1.11.1.1
collection-1.17.01.17.1
convert-3.1.13.1.1
crypto-3.0.23.0.2
ffi-2.0.12.0.1
flutter_blurhash-0.7.00.7.0
http_parser-4.0.24.0.2
js-0.6.50.6.7
material_color_utilities-0.2.00.2.0
meta-1.8.01.9.0
path_provider_android-2.0.222.0.22
path_provider_foundation-2.1.12.1.1
path_provider_linux-2.1.72.1.7
path_provider_platform_interface-2.0.52.0.5
path_provider_windows-2.1.32.1.3
petitparser-5.1.05.1.0
platform-3.1.03.1.0
plugin_platform_interface-2.1.32.1.3
pointycastle-3.6.23.6.2
process-4.2.44.2.4
rxdart-0.27.70.27.7
sky_engine-0.0.990.0.99
source_span-1.9.11.9.1
sqflite-2.2.4+12.2.4+1
sqflite_common-2.4.2+22.4.2+2
string_scanner-1.2.01.2.0
synchronized-3.0.13.0.1
term_glyph-1.2.11.2.1
typed_data-1.3.11.3.1
vector_math-2.1.42.1.4
win32-3.1.34.1.1
xdg_directories-0.2.0+30.2.0+3
xml-6.2.26.2.2

To reproduce run dart pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

The constraint `^3.0.2` on image does not support the stable version `4.0.0`.

Try running dart pub upgrade --major-versions image to update the constraint.

The constraint `^6.0.0` on sprintf does not support the stable version `7.0.0`.

Try running dart pub upgrade --major-versions sprintf to update the constraint.

10/10 points: Package supports latest stable Dart and Flutter SDKs

icon indicating section status
Support sound null safety
20 / 20icon to trigger folding of the section

20/20 points: Package and dependencies are fully migrated to null safety!

Analysed with Pana 0.21.25, Flutter 3.7.0, Dart 2.19.0.

103
likes
110
pub points
95%
popularity

Publisher

verified publisher iconanvith.dev

A library for loading images from network, resizing as per container size and caching while being memory sensitive.

Repository (GitHub)

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

file, flutter, flutter_cache_manager, flutter_image_compress, http, image, octo_image, path, path_provider, pedantic, sprintf, uuid

More

Packages that depend on optimized_cached_image